using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Customer
{
    /// <summary>
    /// 客户证件表
    /// </summary>
    [SugarTable("Crm_CustomerCert")]
    public class Crm_CustomerCert:EntityBase
    {
        /// <summary>
        /// 客户信息表Id
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int DcId { get; set; }
        /// <summary>
        /// 证件类型表Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int SdId { get; set; }
        /// <summary>
        /// 证件号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(30)")]
        public string CertNo { get; set; }
        /// <summary>
        /// 签发国
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Country { get; set; }
        
        /// <summary>
        /// 签发地区
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Area { get; set; }

        /// <summary>
        /// 目的地国家
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string TargetCountry { get; set; }

        /// <summary>
        /// 有效期起始时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime IssueDt { get; set; }
        /// <summary>
        /// 有效期截止时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime ExpiryDt { get; set; }

        /// <summary>
        /// 身份证户籍地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string IDCardAddress { get; set; }
    }

}
